Skip to main content
GET
/
settings
/
aimodelendpoints
/
{id}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "endpoint": "<string>",
  "createdBy": "<string>",
  "isPublic": true,
  "owners": [
    {
      "id": "<string>",
      "displayName": "<string>",
      "mail": "<string>",
      "securityEnabled": true,
      "mailEnabled": true,
      "groupTypes": [
        "<string>"
      ],
      "groupType": "<string>",
      "userPrincipalName": "<string>",
      "jobTitle": "<string>",
      "department": "<string>",
      "officeLocation": "<string>"
    }
  ],
  "contributors": [
    {
      "id": "<string>",
      "displayName": "<string>",
      "mail": "<string>",
      "securityEnabled": true,
      "mailEnabled": true,
      "groupTypes": [
        "<string>"
      ],
      "groupType": "<string>",
      "userPrincipalName": "<string>",
      "jobTitle": "<string>",
      "department": "<string>",
      "officeLocation": "<string>"
    }
  ],
  "users": [
    {
      "id": "<string>",
      "displayName": "<string>",
      "mail": "<string>",
      "securityEnabled": true,
      "mailEnabled": true,
      "groupTypes": [
        "<string>"
      ],
      "groupType": "<string>",
      "userPrincipalName": "<string>",
      "jobTitle": "<string>",
      "department": "<string>",
      "officeLocation": "<string>"
    }
  ],
  "inheritEntitlements": true,
  "hideFromCatalog": true,
  "createdAt": "<string>",
  "updatedBy": "<string>",
  "updatedAt": "<string>",
  "key": "<string>",
  "modelName": "<string>",
  "deploymentName": "<string>",
  "apiVersion": "<string>",
  "maxTokens": 123,
  "topP": 123,
  "threshold": 123,
  "temperature": 123,
  "topNDocuments": 123,
  "vectorTopNDocuments": 123,
  "strictness": 123,
  "systemPrompt": "<string>",
  "isDefault": true,
  "isEnabled": true,
  "semanticConfigurationName": "<string>"
}

Authorizations

Authorization
string
header
required

Azure AD access token obtained via MSAL

Path Parameters

id
string
required

Response

200 - application/json

Model endpoint object

AI model endpoint configuration

id
string
required
endpoint
string
required

Model provider endpoint URL

scope
enum<string>

Access control model

Available options:
personal,
shared
createdBy
string

UPN of the creator

isPublic
boolean

Allow public read access

owners
object[]
contributors
object[]
users
object[]
inheritEntitlements
hideFromCatalog
boolean

Hide entity from user-facing recommendations and catalog/search surfaces (still accessible to owners/contributors/admins)

createdAt
string

ISO-8601 creation timestamp

updatedBy
string
updatedAt
string

ISO-8601 update timestamp

authType
enum<string>
Available options:
managedSystemIdentity,
apiKey,
connectionString
key
string

API key (redacted in responses)

modelName
string
deploymentName
string
type
enum<string>

Model capability type

Available options:
Chat,
Text Embedding,
Question Answering,
Text Classification,
Text Translation,
Text Summarization,
Text Sentiment,
Text Entities,
Text Key Phrases,
Text Language Detection,
Text Analytics,
Text Custom,
Image Classification,
Image Object Detection,
Image Custom,
Image Analytics,
Image Captioning,
Image Segmentation,
Image Moderation,
Image Recognition,
Image Custom Vision
provider
enum<string>
Available options:
AzureAI,
OpenAI,
Grok,
Gemini,
Anthropic,
Perplexity,
DeepSeek,
Mistral,
Cohere,
Groq,
Bedrock,
Ollama
apiVersion
string
maxTokens
integer
topP
number
threshold
number
temperature
number
topNDocuments
integer
vectorTopNDocuments
integer
strictness
integer
systemPrompt
string
isDefault
boolean
isEnabled
boolean
semanticConfigurationName
string